# 使用指定的基础镜像  
FROM quay.io/wandoubaba517/nginx:1.27  

# 将本地的 docs/.vitepress/dist/ 目录下的所有内容复制到 nginx 的站点根目录  
COPY docs/.vitepress/dist/ /usr/share/nginx/html/

# 将本地的 nginx 目录内容复制到容器内的 /etc/nginx/ 目录  
COPY nginx/ /etc/nginx/  

WORKDIR /usr/share/nginx/html